package de.humance.eco.profile.model.impl;

import com.liferay.portal.kernel.exception.SystemException;

import de.humance.eco.profile.model.TrailerUser;
import de.humance.eco.profile.service.TrailerUserLocalServiceUtil;

/**
 * The extended model base implementation for the TrailerUser service. Represents a row in the &quot;Profile_TrailerUser&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This class exists only as a container for the default extended model level methods generated by ServiceBuilder. Helper methods and all application logic should be put in {@link TrailerUserImpl}.
 * </p>
 *
 * @author Humance
 * @see TrailerUserImpl
 * @see de.humance.eco.profile.model.TrailerUser
 * @generated
 */
public abstract class TrailerUserBaseImpl extends TrailerUserModelImpl
    implements TrailerUser {
    /*
     * NOTE FOR DEVELOPERS:
     *
     * Never modify or reference this class directly. All methods that expect a trailer user model instance should use the {@link TrailerUser} interface instead.
     */
    @Override
    public void persist() throws SystemException {
        if (this.isNew()) {
            TrailerUserLocalServiceUtil.addTrailerUser(this);
        } else {
            TrailerUserLocalServiceUtil.updateTrailerUser(this);
        }
    }
}
